/*
 * ToolLabelsPropertyDescriptor for Tool Labels Plugin for Jenkins
 * Copyright (C) 2014 Kaz Nishimura
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.vx68k.hudson.plugin.tool.labels;

import hudson.Extension;
import hudson.tools.ToolPropertyDescriptor;

/**
 * Describes {@link ToolLabelsProperty}.
 *
 * @author Kaz Nishimura
 * @since 2.0
 */
@Extension
public class ToolLabelsPropertyDescriptor extends ToolPropertyDescriptor {

    public ToolLabelsPropertyDescriptor() {
        super(ToolLabelsProperty.class);
    }

    @Override
    public String getDisplayName() {
        return "Add labels dynamically to any node with this installation"; // TODO: I18N.
    }
}
