/*
 * ToolLabelsProperty for Tool Labels Plugin for Jenkins
 * Copyright (C) 2014 Kaz Nishimura
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.vx68k.jenkins.plugin.tool.labels;

import hudson.util.XStream2;
import com.thoughtworks.xstream.converters.UnmarshallingContext;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;

/**
 *
 * @author Kaz Nishimura
 * @since 1.0
 * @deprecated As of version 2.0, replaced by {@link
 * org.vx68k.hudson.plugin.tool.labels.ToolLabelsProperty}.
 */
@Deprecated
public class ToolLabelsProperty
        extends org.vx68k.hudson.plugin.tool.labels.ToolLabelsProperty {

    public ToolLabelsProperty(String labels) {
        super(labels);
    }

    /**
     * Converter to unmarshal old data into the new class.
     *
     * @since 2.0
     */
    public static final class ConverterImpl
            extends XStream2.PassthruConverter<ToolLabelsProperty> {

        public ConverterImpl(XStream2 xstream) {
            super(xstream);
        }

        @Override
        public Object unmarshal(HierarchicalStreamReader reader,
                UnmarshallingContext context) {
            Object object = super.unmarshal(reader, context);
            if (object instanceof ToolLabelsProperty) {
                String labels = ((ToolLabelsProperty) object).getLabels();
                object = new org.vx68k.hudson.plugin.tool.labels
                        .ToolLabelsProperty(labels);
            }
            return object;
        }

        @Override
        protected void callback(ToolLabelsProperty property,
                UnmarshallingContext context) {
        }
    }
}
