/*
 * ToolLabelsPropertyDescriptor for Tool Labels Plugin for Jenkins
 * Copyright (C) 2014 Kaz Nishimura
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.vx68k.jenkins.plugin.tool.labels;

import hudson.Extension;
import hudson.tools.ToolInstallation;
import hudson.tools.ToolPropertyDescriptor;

/**
 * Describes {@link ToolLabelsProperty}.
 *
 * @author Kaz Nishimura
 * @since 1.0
 * @deprecated As of version 2.0, replaced by {@link
 * org.vx68k.hudson.plugin.tool.labels.ToolLabelsPropertyDescriptor}.
 */
@Extension
@Deprecated
public class ToolLabelsPropertyDescriptor extends ToolPropertyDescriptor {

    public ToolLabelsPropertyDescriptor() {
        super(ToolLabelsProperty.class);
    }

    /**
     * Returns <code>false</code> to make this property hidden from
     * users.
     *
     * @param type a {@link Class} object for tool installations
     * @return false
     * @since 2.0
     */
    @Override
    public boolean isApplicable(Class<? extends ToolInstallation> type) {
        return false;
    }

    @Override
    public String getDisplayName() {
        return getClass().getName();
    }
}
